﻿body {
    margin: 0px;
    margin-bottom: 60px;
    padding: 0px;
}

header {
}

nav {
    padding-left: 12px;
    height: 190px;
    max-height: 190px;
    font: 500 16px 'SF Thonburi';
    word-wrap: break-word;
    background-color: snow;
    background-image: url("/images/icons_all/Background.png");
    background-size: 100vw 950px;
    background-repeat: no-repeat;
}

aside {
    padding-top: 195px;
    padding-left: 15px;
    float: left;
    width: 200px;
    font: bold 15px 'SF Thonburi';
    word-wrap: break-word;
}

article {
}

footer {
    background-color: gainsboro;
    clear: left;
    bottom: 0;
    width: 100%;
    font: 16px 'SF Thonburi';
    word-wrap: break-word;
}

pre {
    overflow-x: auto;
    white-space: pre-wrap;
    white-space: -moz-pre-wrap;
    white-space: -pre-wrap;
    white-space: -o-pre-wrap;
    word-wrap: break-word;
}

#logo {
    float: left;
    height: 100%;
}

.product_category {
    display: none;
}

.image-base {
    position: relative;
}

.image-top {
    position: absolute;
    height: 20%;
    width: auto;
    top: 80%;
}

.positionTOP {
    position: fixed;
}

.zoom {
    position: relative;
    overflow: hidden;
    display: inline-block;
    transition: transform .2s; /* Animation */
    margin: 0 auto;
}

    .zoom:hover {
        transform: scale(1.04); /* (120% zoom)*/
    }

.brand-hashtag-first {
    width: 8.33333%;
    aspect-ratio: 1;
    display: block;
}

.brand-hashtag-second {
    display: none;
}

.brand-hashtag {
    display: block;
    width: 92%;
    height: auto;
    border-top-left-radius: 5%;
    border-top-right-radius: 5%;
    border-bottom-left-radius: 5%;
    border-bottom-right-radius: 5%;
    text-align: center;
}

.subbrand-hashtag-first {
    display: inline;
}

.subbrand-hashtag-second {
    display: none;
}

.subbrand-hashtag-third {
    display: none;
}

.subbrand-hashtag {
    width: 8.33333%;
    padding-right: 6px;
    background-size: 92% 48px;
    background-repeat: no-repeat;
    text-align: center;
    vertical-align: middle;
}

.Brand_Header {
    background-image: url("/images/icons_all/Brand_Header.png");
    background-size: 100vw 100vh;
    background-repeat: no-repeat;
}

.Brand_Footer {
    background-image: url("/images/icons_all/Brand_Footer.png");
    background-size: 100vw 100vh;
    background-repeat: no-repeat;
}

br {
    display: block;
    content: "";
    height: 14px;
}

#mainView {
    padding-top: 195px;
    padding-left: 15px;
    overflow-x: hidden;
}

#divProduct {
    width: 16.66666%;
    height: fit-content;
}

#productView {
    font: 500 14px 'SF Thonburi';
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

#showLoading {
    padding-top: 250px;
    padding-left: 125px;
}

#myImg {
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

    #myImg:hover {
        opacity: 1;
    }

.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 20px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

.modal-content {
    margin: auto;
    display: block;
    width: 50%;
}

.modal-content, #caption {
    -webkit-animation-name: zoom;
    -webkit-animation-duration: 0.6s;
    animation-name: zoom;
    animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
    from {
        -webkit-transform: scale(0)
    }

    to {
        -webkit-transform: scale(1)
    }
}

@keyframes zoom {
    from {
        transform: scale(0)
    }

    to {
        transform: scale(1)
    }
}

.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

    .close:hover,
    .close:focus {
        color: #bbb;
        text-decoration: none;
        cursor: pointer;
    }

@media only screen and (min-width: 1px) and (max-width: 400px) {
    #showLoading {
        padding-left: 0px;
    }

    aside {
        display: none;
        width: 0px;
    }

    #mainView {
        padding-left: 15px;
        padding-right: 15px;
        overflow-x: hidden;
    }

    #divProduct {
        width: 100%;
        height: fit-content;
    }

    .product_category {
        display: block;
    }

    .brand-hashtag-first {
        display: none;
    }

    .brand-hashtag-second {
        width: 100%;
        aspect-ratio: 1;
        display: block;
    }

    .subbrand-hashtag-first {
        display: none;
    }

    .subbrand-hashtag-second {
        width: 100%;
        height: 48px;
        display: block;
    }

    .subbrand-hashtag-third {
        width: 100%;
        height: auto;
        display: block;
    }
}

@media only screen and (min-width: 401px) and (max-width: 800px) {
    #showLoading {
        padding-left: 0px;
    }

    aside {
        display: none;
        width: 0px;
    }

    #mainView {
        padding-left: 15px;
        padding-right: 15px;
        overflow-x: hidden;
    }

    #divProduct {
        width: 50%;
        height: fit-content;
    }

    .product_category {
        display: block;
    }

    .brand-hashtag-first {
        display: none;
    }

    .brand-hashtag-second {
        width: 100%;
        aspect-ratio: 1;
        display: block;
    }

    .subbrand-hashtag-first {
        display: none;
    }

    .subbrand-hashtag-second {
        width: 100%;
        height: 48px;
        display: block;
    }

    .subbrand-hashtag-third {
        width: 100%;
        height: auto;
        display: block;
    }
}

@media only screen and (min-width: 801px) and (max-width: 1000px) {
    #showLoading {
        padding-left: 0px;
    }

    aside {
        display: none;
        width: 0px;
    }

    #mainView {
        padding-left: 15px;
        padding-right: 15px;
        overflow-x: hidden;
    }

    #divProduct {
        width: 33.3333%;
        height: fit-content;
    }

    .product_category {
        display: block;
    }

    .brand-hashtag-first {
        display: none;
    }

    .brand-hashtag-second {
        width: 100%;
        aspect-ratio: 1;
        display: block;
    }

    .subbrand-hashtag-first {
        display: none;
    }

    .subbrand-hashtag-second {
        width: 100%;
        height: 48px;
        display: block;
    }

    .subbrand-hashtag-third {
        width: 100%;
        height: auto;
        display: block;
    }
}

@media only screen and (min-width: 1001px) and (max-width: 1200px) {
    #showLoading {
        padding-left: 0px;
    }

    aside {
        display: none;
        width: 0px;
    }

    #mainView {
        padding-left: 15px;
        padding-right: 15px;
        overflow-x: hidden;
    }

    #divProduct {
        width: 33.3333%;
        height: fit-content;
    }

    .product_category {
        display: block;
    }

    .brand-hashtag-first {
        display: none;
    }

    .brand-hashtag-second {
        width: 100%;
        aspect-ratio: 1;
        display: block;
    }

    .subbrand-hashtag-first {
        display: none;
    }

    .subbrand-hashtag-second {
        width: 100%;
        height: 48px;
        display: block;
    }

    .subbrand-hashtag-third {
        width: 100%;
        height: auto;
        display: block;
    }
}

@media only screen and (min-width: 1201px) and (max-width: 1400px) {
    #showLoading {
        padding-left: 0px;
    }

    aside {
        display: none;
        width: 0px;
    }

    #mainView {
        padding-left: 15px;
        padding-right: 15px;
        overflow-x: hidden;
    }

    #divProduct {
        width: 25%;
        height: fit-content;
    }

    .product_category {
        display: block;
    }

    .brand-hashtag-first {
        display: none;
    }

    .brand-hashtag-second {
        width: 100%;
        aspect-ratio: 1;
        display: block;
    }

    .subbrand-hashtag-first {
        display: none;
    }

    .subbrand-hashtag-second {
        width: 100%;
        height: 48px;
        display: block;
    }

    .subbrand-hashtag-third {
        width: 100%;
        height: auto;
        display: block;
    }
}

@media only screen and (min-width: 1401px) and (max-width: 1600px) {
    #showLoading {
        padding-left: 0px;
    }

    aside {
        display: none;
        width: 0px;
    }

    #mainView {
        padding-left: 15px;
        padding-right: 15px;
        overflow-x: hidden;
    }

    #divProduct {
        width: 20%;
        height: fit-content;
    }

    .product_category {
        display: block;
    }

    .brand-hashtag-first {
        display: none;
    }

    .brand-hashtag-second {
        width: 100%;
        aspect-ratio: 1;
        display: block;
    }

    .subbrand-hashtag-first {
        display: none;
    }

    .subbrand-hashtag-second {
        width: 100%;
        height: 48px;
        display: block;
    }

    .subbrand-hashtag-third {
        width: 100%;
        height: auto;
        display: block;
    }

    .fade-out {
        opacity: 0;
        transition: opacity 0.1s ease;
    }

}
